'
' PLAYFLI.BI
'
' /* Main FLI Player PLAYFLI.BAS */
DECLARE FUNCTION PlayFLI% (FiName$, BYVAL NumLoops%, BYVAL Speed%, BYVAL ShowDelay%, BYVAL ShownDelay%, BYVAL FadeInSpeed%, BYVAL FadeOutSpeed%, BYVAL AbortCheck%, BYVAL UseXMS%)
'
' /* PLAYFLI.BAS Internal Error Codes */
CONST CORRUPTED = -1
CONST UNSUPPORTED = -2
CONST NOTFLI = -3
CONST ABORTED = -4
CONST READPASTEOF = -11
CONST XMSERROR = -18
'
' /* Very Common Critical Error & DOS Error Codes */
CONST DRIVENOTREADY = 2
CONST BADFILENAME = 102
CONST BADPATHNAME = 103
CONST OUTOFMEMORY = 108
'
'                          DOS Error Code List:
'                          --------------------
'
'               101     Invalid function number
'               102     File not found
'               103     Path not found
'               104     Too many open files, no file handles left
'               105     Access denied
'               106     Invalid handle
'               107     Memory control blocks destroyed
'               108     Insufficient memory
'               109     Invalid memory block address
'               110     Invalid environment
'               111     Invalid format
'               112     Invalid access code
'               113     Invalid data
'               114     Reserved
'               115     Invalid drive was specified
'               116     Attempt to remove the current directory
'               117     Not same device
'               118     No more files
'               119     Attempt to write on write-protected diskette
'               120     Unknown unit
'               121     Drive not ready
'               122     Unknown command
'               123     Bad CRC check
'               124     Bad request structure length
'               125     Seek error
'               126     Unknown media type
'               127     Sector not found
'               128     Printer out of paper
'               129     Write fault
'               130     Read fault
'               131     General Failure
'               132     Sharing violation
'               133     Lock violation
'               134     Invalid disk change
'               135     FCB unavailable
'               136     Sharing buffer overflow
'
' Error Codes 1 to 99 and 255 indicate critical disk errors. See a DOS reference
' for further details. Note: DOS critical error code zero (disk write protect
' error) is remapped to 255 by the IO.OBJ module.
'

